/**
 * Scan and load filters
 */

"use strict";

require("../utils/annotation");

let readdirp = require("readdirp");

let result = [];

exports.loadFilter = (path) =>
{
	let Filter = require(path);
	if (!Filter.hasAnnotation("filter")) {
		return;
	}

	let info = Filter.getAnnotationData("filter");
	result.push({ info: info, filter: new Filter() });
	console.info("Loaded filter at " + path);
};

exports.getFilterList = () =>
{
	return result;
};
