"use strict";

let stream = require("stream");

exports.dataToStream = (data) =>
{
	if (data == null) {
		return null;
	}

	if (data instanceof stream.Stream) {
		return data;
	}

	let s = new stream.Readable();
	s._read = () => {};

	s.push(data);
	s.push(null);

	return s;
};
