"use strict";

function TagUtils()
{
    this.each = (arr, callback, nothingCallback) => {
        if ((!arr) || (!arr.length) || (arr.length <= 0)) {
            if ((!!arr) && (typeof arr === "object") && (!(arr instanceof Array))) {
                return callback(arr, 0, 1);
            }

            if (nothingCallback) {
                return nothingCallback();
            } else {
                return;
            }
        }

        for (let i = 0; i < arr.length; i++) {
            callback(arr[i], i, arr.length);
        }
    };

    this.eachKey = (obj, callback, nothingCallback) => {
        let keys = Object.keys(obj);
        if (keys.length <= 0) {
            return nothingCallback();
        }

        for (let key of keys) {
            callback(obj[key], key);
        }
    };
}

module.exports = TagUtils;
