"use strict";

let ViewTag = require("../view-tag");
let ViewTagUtils = require("../view-tag-utils");
let Util = require("util");
let viewEngine = require("../view-engine");
let path = require("path");

class BridgeTag extends ViewTag
{
    render(attrs, content, viewDir) {
        let mod = require(path.join(viewDir, attrs.module));
        let obj = mod[attrs.entry];

        viewEngine.registerClientBridge(attrs.name, obj);

        return "";
    }
}

module.exports = BridgeTag;
