"use strict";

let ViewTag = require("../view-tag");
let ViewTagUtils = require("../view-tag-utils");
let Util = require("util");

class CssTag extends ViewTag
{
    render(attrs, content) {
        return "<link type=\"text/css\" rel=\"stylesheet\" href=\"" + ViewTagUtils.resolveUrl(attrs.url) + "\" />\n";
    }
}

module.exports = CssTag;
