"use strict";

let ViewTag = require("../view-tag");
let ViewTagUtils = require("../view-tag-utils");
let Util = require("util");

class ScriptTag extends ViewTag
{
    render(attrs, content) {
        let src = attrs.url ? "src=\"" + ViewTagUtils.resolveUrl(attrs.url) + "\"" : "";
        return "<script type=\"text/javascript\" " + src + ">" + (content || "") + "</script>\n";
    }
}

module.exports = ScriptTag;
