"use strict";

let ViewTag = require("../view-tag");
let ViewTagUtils = require("../view-tag-utils");
let Util = require("util");
let path = require("path");

class RequireTag extends ViewTag
{
    render(attrs, content, viewDir) {
        return ViewTagUtils.putDeferredVariable(attrs.name, (context, modulePath) => {
            return new Promise((resolve, reject) => {
                resolve(require(path.join(viewDir, modulePath)));
            });
        }, attrs.module, viewDir);
    }
}

module.exports = RequireTag;
